%define name	onestroke
%define version	0.8.3
%define release %mkrel 1

Name: 	 	%{name}
Summary: 	Gesture recognition for tablet PC's
Version: 	%{version}
Release: 	%{release}

Source:		http://www.missirina.com/risujin/%{name}-%{version}.tar.bz2
URL:		http://www.missirina.com/risujin/onestroke.php
License:	GPL
Group:		Accessibility
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	ImageMagick
BuildRequires:	gtk2-devel
BuildRequires:  libxtst-devel
BuildRequires:  desktop-file-utils

%description
OneStroke is a pen gesture recognition program designed for Unix-based Tablet
PCs. The program serves as a keyboard replacement for tablet mode. When one of
the gestures is drawn on the main window, the configured keyboard event is
sent to the currently focused window.

%prep
%setup -q %name-%version
chmod 644 README *.png *.desktop

%build
%make
										
%install
rm -rf $RPM_BUILD_ROOT
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/%_datadir/applications
mkdir -p %buildroot/%_datadir/pixmaps
make install PREFIX=%buildroot/%_prefix

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="%{name}" icon="%{name}.png" needs="x11" title="Onestroke" longtitle="Gesture text entry" section="More Applications/Accessibility" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="X-MandrivaLinux-MoreApplications-Accessibility" \
  --dir $RPM_BUILD_ROOT/%_datadir/applications $RPM_BUILD_ROOT/%_datadir/applications/*

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
convert -size 48x48 %name.png $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
convert -size 32x32 %name.png $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
convert -size 16x16 %name.png $RPM_BUILD_ROOT/%_miconsdir/%name.png

%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/%name
%{_datadir}/applications/%name.desktop
%{_datadir}/pixmaps/%name.png
%{_datadir}/%name-0.8
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png


%changelog
* Sat Feb 17 2007 Jérôme Soyer <saispo@mandriva.org> 0.8.3-1mdv2007.0
+ Revision: 122095
- Remove autoconf mistakes
- Fix Build
- New release 0.8.3
- Import onestroke



* Sun Aug 13 2006 Austin Acton <austin@mandriva.org> 0.8.2-1mdv2007.0
- 0.8.2

* Wed Jul 26 2006 Austin Acton <austin@mandriva.org> 0.8.1-1mdv2007.0
- initial package
